﻿Imports System.Xml
Imports MindFusion.Charting

Public Class MainForm

	Private Sub Form1_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		' load sample xml file
		Dim doc As New XmlDocument()

		doc.Load("Data.xml")

		' create XML series bound to XPath expressions and add them to the chart;
		' alternatively, you could assign the XmlDocument to Chart.DataSource
		' and assign the XPath expressions to its various DataField* properties
		Dim series = New XmlSeries(doc, "weather-observations/product/group/obs/d[@t='tx']")
		series.Title = "maximum temperature"
		series.ToolTipsPath = "weather-observations/product/group/obs/@station"
		lineChart.Series.Add(series)

		series = New XmlSeries(doc, "weather-observations/product/group/obs/d[@t='tn']")
		series.Title = "minimum temperature"
		series.ToolTipsPath = "weather-observations/product/group/obs/@station"
		lineChart.Series.Add(series)

		' customize appearance
		lineChart.XAxis.Title = "Time"
		lineChart.YAxis.Title = "Degrees Celsius"

		lineChart.LegendHorizontalAlignment = MindFusion.Charting.Components.LayoutAlignment.Far
		lineChart.LegendVerticalAlignment = MindFusion.Charting.Components.LayoutAlignment.Far
		lineChart.BackColor = Color.White

		lineChart.Theme = New Theme()
		lineChart.Theme.CommonSeriesFills = New List(Of MindFusion.Drawing.Brush)() From {
		  New MindFusion.Drawing.SolidBrush(Color.FromArgb(206, 0, 0)),
		  New MindFusion.Drawing.SolidBrush(Color.FromArgb(0, 52, 102))}
		lineChart.Theme.CommonSeriesStrokes = New List(Of MindFusion.Drawing.Brush)() From {
		  New MindFusion.Drawing.SolidBrush(Color.FromArgb(206, 0, 0)),
		  New MindFusion.Drawing.SolidBrush(Color.FromArgb(0, 52, 102))}


		lineChart.Theme.CommonSeriesStrokeThicknesses = New List(Of Double)() From {3.0}
		lineChart.Theme.LegendBackground = New MindFusion.Drawing.SolidBrush(Color.FromArgb(240, 240, 240))
		lineChart.Theme.LegendBorderStroke = New MindFusion.Drawing.SolidBrush(Color.Black)
		lineChart.Theme.GridLineStyle = System.Drawing.Drawing2D.DashStyle.Dash
		lineChart.GridType = GridType.Horizontal

	End Sub

End Class
